Subject: Content-Length for gzipped response

From: Diwakar Shetty <[email-masked]>
Date: Mon, 28 Jul 2003 19:30:54 +0530

Suppose a HTTP server compresses a response using "gzip".

Then is "Content-Length" response header required to be sent to the browser ?

I checked with IE and Mozilla and they were able to uncompress it without the presence of "Content-Length" header in the response.

Thanks
Diwakar

---

From: Scott Lawrence <[email-masked]>
Date: Mon, 28 Jul 2003 11:08:03 -0400

Diwakar Shetty <[email-masked]> writes:

> I checked with IE and Mozilla and they were able to uncompress it without
> the presence of "Content-Length" header in the response.

See the rules in section 4.4 of RFC 2616:

  http://www.apps.ietf.org/rfc/rfc2616.html#sec-4.4

-- 
Scott Lawrence        
  http://skrb.org/scott/
  [ <[email-masked]> is deprecated ]